server:
  port: 8084

eureka:
  instance:
    prefer-ip-address: true
  client:
    service-url:
      defaultZone: http://localhost:8081/eureka/
    register-with-eureka: true

spring:
  application:
    name: aluno

  jpa:
    show-sql: false
    hibernate:
      ddl-auto: none
    properties:
      dialect: org.hibernate.dialect.MySQL8Dialect

  jmx:
    enabled: false

  datasource:
    url: jdbc:mysql://localhost:3306/dbMicroServicos?AllowPublicKeyRetrieval=true&sslMode=DISABLED
    username: root
    password: r@@t12345

jwt:
  config:
    type: signed